<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2012 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class Admin_Tag_by_group_Controller extends Admin_Controller {
  public function index() {
    $view = new Admin_View("admin.html");
    $view->page_title = t("Admin tag by group settings");
    $view->content = new View("admin_tag_by_group.html");
    $view->content->form = $this->_get_admin_form();
    $view->content->title = $view->page_title;
    print $view;
  }

  public function save() {
    access::verify_csrf();
    $form = $this->_get_admin_form();
    $form->validate();
    module::set_var("tag_by_group", "group",
                    $form->group->value);
	module::set_var("tag_by_group", "menu_link",
                    $form->menu_link->value);				
    message::success(t("Settings updated"));
    url::redirect("admin/tag_by_group");
  }

  private function _get_admin_form() {
    $form = new Forge("admin/tag_by_group/save", "", "post",
                      array("id" => "g-tag_by_group-admin-form"));
    $form->dropdown("group")
      ->label(t("What group can tag items in albums?"))
      ->options(tag_by_group::get_groups_as_dropdown_options())
      ->selected(module::get_var("tag_by_group", "group"));
	$form->checkbox("menu_link")->label(t("Show 'Tag items' link in menu"))
      ->checked(module::get_var("tag_by_group", "menu_link", false));
    $form->submit("save")->value(t("Save"));
    return $form;
  }
}