<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2011 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */

class tag_by_group_Core {
  /**
   * Value defining no group.
   */
  const NONE = 0;
  /**
   * Returns the group list for a dropdown widget.
   *
   * @return array  the group list
   */
  static function get_groups_as_dropdown_options() {
    $options = ORM::factory("group")->select_list("name", "name");
    return array_merge(array(self::NONE => t("Nobody")), $options);
  }

  /**
   * Returns whether the active user can edit the tags.
   *
   * @return bool
   */
  static public function can_edit_tags() {
    if (identity::active_user()->admin){
      return true;
    }
	$tag_group = module::get_var("tag_by_group", "group");
    foreach (identity::active_user()->groups() as $group){
      if ($group->name == $tag_group){
        return true;
      }
    }
    return false;
  }
  static function get_add_tag_form($item) {
    $form = new Forge("tag_by_group/save/{$item->id}", "", "post", array("id" => "g-add-tag-form2", "class" => "g-short-form"));
    $label = t("Add tag to photo");

    $group = $form->group("add_tag")->label("Add Tag");
    $group->input("name")->label($label)->rules("required")->id("name");
    $group->submit("")->value(t("Add Tag"));
    return $form;
  }

}
