<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2012 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class tag_by_group_block_Core {
  static function get_site_list() {
    return array("tag_by_group" => t("Tag add form for group"));
  }
  static function get($block_id, $theme) {
  $block = "";
  $item = $theme->item();
  if (!$item) {
    return;
  }
  if (!access::can("edit", $item) && tag_by_group::can_edit_tags()) {
    switch ($block_id) {
    case "tag_by_group":
	  //block for items
      if ($theme->item() && $theme->item->is_photo() || $theme->item->is_movie()) {
        $block = new Block();
        $block->css_id = "g-tag-by-group-block";
        $block->title = t("Item Tags");
        $block->content = new View("tag_by_group_block.html");
        $block->content->item = $item;

        $form = new Forge("tag_by_group/create/{$item->id}", "", "post",
                          array("id" => "g-tag-by-group-add-tag-form", "class" => "g-short-form"));
        $label = $item->is_album() ?
          t("Add tag to album") :
          ($item->is_photo() ? t("Add tag to photo") : t("Add tag to movie"));

        $group = $form->group("add_tag")->label("Add Tag");
        $group->input("name")->label($label)->rules("required")->id("name");
        $group->hidden("item_id")->value($item->id);
        $group->submit("")->value(t("Add Tag"));

        $block->content->form = $form;
      }
	  // block for albums
      if ($item && $item->is_album()) {
	    $block = new Block();
        $block->css_id = "g-tag-by-group-block";
        $block->title = t("Tag items");
        $block->content = new View("tag_by_group_block_album.html");
        $block->content->item = $item;  
	  }
      break;
    }
  }
    return $block;
  }
}