<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2012 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class tag_by_group_event_Core {
  static function pre_deactivate($data) {
    if ($data->module == "tag") {
      $data->messages["warn"][] = t("The tag by group module requires the tag module.");
    }
  }
  static function admin_menu($menu, $theme) {
    $menu->get("settings_menu")
      ->append(Menu::factory("link")
               ->id("tag_by_group_menu")
               ->label(t("Tag by group"))
               ->url(url::site("admin/tag_by_group")));
  }
  static function site_menu($menu, $theme) {
    $item = $theme->item();
	// make sure the item is an album & that the user can do edit the tags & the modules setting  
    if ($item && $item->is_album() && tag_by_group::can_edit_tags() && module::get_var("tag_by_group", "menu_link")) {
      $menu->add_after("home", Menu::factory("link")
        ->id("tag_by_group")
        ->label(t("Tag items"))
        ->css_id("g-menu-tag_by_group-link")
        ->url(url::site("tag_by_group/dialog/{$item->id}")));
    }
  }
}
